明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
分享 Format old lisp routines
lucas_3333 2015-2-7 17:16
(defun FormatLispFile (File bOverWrite / CountParenthese RemoveSpacesAndTabs ParCnt File tempFile FileOpen tempFileOpen tempParCnt TextLine) (defun CountParentheses (String / OpenCnt CloseCnt Pos) (setq OpenCnt 0) (setq CloseCnt 0) (setq Pos -1) ...
198 次阅读|0 个评论
分享 Polylines in the shortcut menu
lucas_3333 2015-2-7 17:01
; 1 - Convert one line/arc to a ZERO width polyline ; 2 - Convert one line/arc to a SPECIFIED width polyline ; 3 - Convert one line/arc to a polyline and add line/arc segments to it ; 1 - Convert one line/arc to a ZERO width polyline (defun c:L2P (/) (setq OLD-CMDECHO (getvar " ...
170 次阅读|0 个评论
分享 Move Polyline vertices
lucas_3333 2015-2-7 16:45
(defun c:const (/ erreur plst2grvecs osmo pl pt par p-1 p+1 old plst len nb gr p0 new dif ind e-len pti endpt grlst   ...
106 次阅读|0 个评论
分享 Aligns text
lucas_3333 2015-2-7 16:09
;************************************************************************************************************************* ;| ATM.LSP ** ** VERSION 4.0 ** Alpha ** &nb ...
170 次阅读|0 个评论
分享 Scale text/mtext by their insertion point
lucas_3333 2015-2-7 16:05
(defun c:ScaleText (/ ActDoc ScOpt ScFac Sel Obj tempNum Pt) ; Scale text by insertion point (setq ActDoc (vla-get-ActiveDocument (vlax-get-Acad-Object))) (vla-EndUndoMark ActDoc) (vla-StartUndoMark ActDoc) &nb ...
109 次阅读|0 个评论
分享 current date revision layer
lucas_3333 2015-2-7 13:45
;;; Creates a revision layer with the current date and sets it current. (defun c:revlayer (/ date) (vl-load-com) (setq date (rtos (fix (getvar 'cdate)) 2 0) date (strcat "revision_" (substr date 5 2) "-" (substr d ...
89 次阅读|0 个评论
分享 Staggered Multiple Offset
lucas_3333 2015-2-7 12:51
(defun c:staggeredoffset (/ d d2 obj offdir pp pp2 tmp1 tmp2) (vl-load-com) (if (and (setq obj (entsel "\nSelect object to offset: ")) (setq pp (cadr obj)) (setq obj (vlax-ename-vla-object (car obj))) (/= (vla-get-objectname obj) "AcDbBlockRefe ...
70 次阅读|0 个评论
分享 Lisp routines for blocks
lucas_3333 2015-2-7 11:25
; Lisp routines for blocks ;;Explode block and move to unique layer ;;Created by cadmoogle - 2008 ::Thanks to CarlB Alanj, etc. from Cadalyst.com (defun c:Xtolay() (defun *error* (msg) (setvar "QAFLAGS" 0) (princ) ) (command "undo" "begin") &nbs ...
42 次阅读|0 个评论
分享 Lisp routines for layouts
lucas_3333 2015-2-7 11:22
;;Layout Set v4 by cadmoogle - 2008 ;;credit to thecadguy (defun c:loset (/ name total ct newlay) (setq name (getstring T "\nName of the new layout set: ") total (getint "\nHow many copies would you like? ") ct 0 ) (repeat total (setq ct (1+ ct)) (command "_.layout" "_n" ...
52 次阅读|0 个评论
分享 GetKPress
lucas_3333 2015-2-7 10:12
;; GetKPress.lsp ;; CAB version 1.0 03/26/09 ;; Get one key press from user similar to GetKword ;; keys = list of key character return value not case sensitive ;; '(("Y" "Yes")("N" "No")) Note that the key character ...
43 次阅读|0 个评论

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-5-9 22:24 , Processed in 0.103005 second(s), 8 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部